Bug 1304049 - [virtio-win] [virtio-1] [RFE] Add Virtio-1.0 support for viostor
Summary: [virtio-win] [virtio-1] [RFE] Add Virtio-1.0 support for viostor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ladi Prosek
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1222757
TreeView+ depends on / blocked
 
Reported: 2016-02-02 18:06 UTC by Amnon Ilan
Modified: 2018-07-12 00:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, the IOCTL_GET_INFORMATION I/O control call did not return the actual size of the data if the size of the passed buffer was not large enough. As a consequence, applications such as vioser-test were not able to query file size. This update introduces updated IOCTL_GET_INFORMATION I/O control code, which fixes the bug. Note that the previous I/O control code is still supported for backward compatibility, and is now named IOCTL_GET_INFORMATION_BUFFERED in the source files.
Clone Of:
Environment:
Last Closed: 2016-11-04 08:51:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2609 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2016-11-03 15:27:12 UTC

Description Amnon Ilan 2016-02-02 18:06:12 UTC
Add Virtio-1.0 support for viostor. 
Should support either "legacy" mode, "modern" mode, or both ("transitional").
The default mode should be "transitional".

Comment 15 lijin 2016-08-25 02:22:09 UTC
change status to verified as 126 blk whql and function test all pass with virtio 1.0

Comment 17 errata-xmlrpc 2016-11-04 08:51:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2609.html


Note You need to log in before you can comment on or make changes to this bug.